ZeedhiApp.directive('expirationNumber', function () {
    return {
      require: '?ngModel',
      link: function ($scope, element) {
        element.mask("HS/00", {
          translation: {
            'H': {
              pattern: /[0-1]/
            },
            'S': {
              pattern: /[0-9]/
            }
          }, onKeyPress: function (a, b, c, d) {
  
            if (!a) return;
  
            var m = a.match(/(\d{1})/g);
  
            if (!m) return;
            if (parseInt(m[0]) === 0) {
              d.translation.S.pattern = /[0-9]/;
            } else {
              d.translation.S.pattern = /[0-2]/;
            }
  
            //unmask the input to apply a new mask
            c.unmask().mask("HS/00", d);
  
            //update the input value with itself cause
            //when we unmask and mask again
            //the caret bugs, so replacing the value
            //the cursor goes to end like expected
            c.val(c.val());
  
          }
        });
      }
    };
  });