<?php
namespace Util;

use Zeedhi\Framework\Session\Session;

class SessionHandler {

    const USER_ID_KEY = 'id';

    protected $session;
    protected $consumerId;

    public function __construct(Session $session) {
        $this->session = $session;
    }

    public function getConsumerId() {
        return $this->session->get(self::USER_ID_KEY);
    }

    public function setConsumerId($consumerId) {
        $this->session->start();
        $this->session->set(self::USER_ID_KEY, $consumerId);
    }

    public function endSession(){
        $this->session->destroy();
    }

}